Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Interface PortletRequestDispatcher

All Known Implementing Classes:
  PortletRequestDispatcherImpl

    public interface PortletRequestDispatcher

The `PortletRequestDispatcher` interface defines an object that receives requests from the client and sends them to the specified resources (such as a servlet, HTML file, or JSP file) on the server. The portlet container creates the `PortletRequestDispatcher` object, which is used as a wrapper around a server resource located at a particular path or given by a particular name.

Version:
  $Revision: 5441 $
Author:
  Julien Viet

Method Summary
`void` | `include(RenderRequest request, RenderResponse response)` Includes the content of a resource (servlet, JSP page, HTML file) in the response.

Method Detail

### include

    void include(RenderRequest request,
                 RenderResponse response)
                 throws PortletException,
                        java.io.IOException

  Includes the content of a resource (servlet, JSP page, HTML file) in the response. In essence, this method enables programmatic server-side includes.

  The included servlet cannot set or change the response status code or set headers; any attempt to make a change is ignored.

  Parameters:
    `request` - a `RenderRequest` object that contains the client request
    `response` - a `RenderResponse` object that contains the render response
  Throws:
    `PortletException` - if the included resource throws a ServletException, or other exceptions that are not Runtime- or IOExceptions.
    `java.io.IOException` - if the included resource throws this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.